%define _unpackaged_files_terminate_build	1

%define module_name	cronyx
%define module_version	6.1.10
%define module_release	alt2

%define kversion	2.6.18
%define krelease	alt13.M51.33
%define flavour	ovz-rhel

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

%define kernel_headers_dir %_usrsrc/linux-%kversion-%flavour-%krelease
%define dahdi_headers_dir %kernel_headers_dir/drivers/dahdi

Summary: %module_name modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132626.13.M51.33
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Requires: cronyx


ExclusiveOS: Linux
Url: http://cronyx.ru/software/

# Automatically added by buildreq on Sun Nov 07 2004
BuildRequires: kernel-source-%module_name = %module_version
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-headers-dahdi-%kversion-%flavour-%krelease

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:  %ix86 x86_64

%define dahdi_release_file %kernel_headers_dir/kernel-modules-dahdi.release
%([ -s "%dahdi_release_file" ] && echo "PreReq: $(cat "%dahdi_release_file")")

%description
Cronyx modules, that needed for all Cronyx hardware

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
autoreconf -fisv
# Copy symbol version file from dahdi to get proper versioning
mkdir -p build-%kversion-%flavour-%krelease
cat %kernel_headers_dir/kernel-modules-dahdi.symvers \
	> build-%kversion-%flavour-%krelease/Module.symvers

export KERNEL_SOURCE=%_usrsrc/linux-%kversion-%flavour
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
export WITH_dahdi=%dahdi_headers_dir
cronyx_features="async ce cp ct cx sync cisco fr rbrg packet raw"
mkdir -p %buildroot/%module_dir

mkdir -p dahdi-headers/include/dahdi/
mkdir -p dahdi-headers/drivers/dahdi/
cp -a %dahdi_headers_dir/* dahdi-headers/include/dahdi/
cp -a %dahdi_headers_dir/Module.symvers dahdi-headers/drivers/dahdi/

sed -i 's/^[[:space:]]*@*depmod.*$//' Makefile.in mk.kbuild

./configure \
	`for i in $cronyx_features; do echo "--enable-$i"; done` \
	--with-ksrc=%_usrsrc/linux-%kversion-%flavour \
	--with-dahdi=`realpath dahdi-headers` \
	--with-libmod=%buildroot/%module_dir
sed -i /depmod/d Makefile
sed -i /depmod/d mk.kbuild
make all

%install
make modules_install INSTALL_MOD_PATH=%buildroot

rm -f %buildroot/lib/modules/%kversion-%flavour-%krelease/modules.*

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease
%files
%defattr(644,root,root,755)
%dir %module_dir
%module_dir/casync.ko
%module_dir/cbinder.ko
%module_dir/ce.ko
%module_dir/ccisco.ko
%module_dir/cp.ko
%module_dir/ct.ko
%module_dir/cx.ko
%module_dir/cdahdi.ko
%module_dir/cfr.ko
%module_dir/cpacket.ko
#module_dir/ppps.ko
%module_dir/craw.ko
%module_dir/crbrg.ko
%module_dir/csync.ko

%changelog
* Fri Nov 18 2011 Anton Protopopov <aspsk@altlinux.org> 6.1.10-alt2.132626.13.M51.33
- Build for kernel-image-ovz-rhel-2.6.18-alt13.M51.33.

* Tue Oct 27 2009 Anton Protopopov <aspsk@altlinux.org> 6.1.10-alt2
- 6.1.10

* Mon Sep 28 2009 Anton Protopopov <aspsk@altlinux.org> 6.1.9-alt2
- Spec cleanup

* Fri Sep 25 2009 Denis Smirnov <mithraen@altlinux.ru> 6.1.9-alt1
- 6.1.9

* Sat Sep 19 2009 Denis Smirnov <mithraen@altlinux.ru> 6.1.8-alt1
- update to 6.1.8

* Thu Sep 03 2009 Anton Protopopov <aspsk@altlinux.org> 6.1.7-alt1
- Update to new version 6.1.7
- Remove patch remove-unnecessary-code.patch
- Remove depmod from mk.kbuild when installing modules

* Wed Jul 22 2009 Anton Protopopov <aspsk@altlinux.org> 6.1-alt3
- False one

* Thu May 21 2009 Anton Protopopov <aspsk@altlinux.org> 6.1-alt2
- Add patch to remove dead code

* Thu Dec 18 2008 Michail Yakushin <silicium@altlinux.ru> 6.1-alt1
- update to 6.1

* Sun Nov 25 2007 Sergey Vlasov <vsu@altlinux.ru> 6.0-alt7.pre26
- Bump release to distinguish from 4.0 branch (currently Sisyphus and 4.0
  contain the same version of cronyx drivers, but different zaptel versions,
  therefore packages need to have different releases).

* Thu Oct 18 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt6.pre26
- update for last zaptel

* Sat Aug 04 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt5.pre26
- version update

* Sun May 27 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt5.pre20
- update for last zaptel

* Sun Apr 15 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt4.pre20
- update for last zaptel

* Sat Mar 10 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt3.pre20
- update for last zaptel

* Mon Feb 26 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt2.pre20
- update for last zaptel

* Sat Feb 24 2007 Sergey Vlasov <vsu@altlinux.ru> 6.0-alt1.pre20
- Fixed build with recent kernels (proper symbol versioning is now mandatory
  in 2.6.18-ovz): use kernel-headers-zaptel-%%kversion-%%flavour-%%krelease
  instead of zaptel-devel and get Module.symvers from there.
- Add dependency on exactly the same release of kernel-modules-zaptel-* which
  corresponds to the used kernel-headers-zaptel-*.

* Thu Feb 22 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt0.pre20
- moved from zaptel to separate package
